//=====================================================================================================
//                                      M400 2-wire                                                   
//=====================================================================================================
//                                                                                                     
//! Filename:           C300KK.DDL
//! Function:           Device Description for M100 2-wire
//! Device:             M400 2-wire
//! Device Revision:    1
//! DD Revision:        2
//! Last edit:		 
//! Manufacturer:	    Mettler-Toledo AG
//!					    Process Analytics
//!					    Im Hackacker 15
//!				        CH 8092 Urdorf (Switzerland)
//!					    Tel: +41 44 729 62 11
//!					    Fax: +41 44 729 66 36
//!					    Internet: www.mt.com/pro
//!     Copyright:(C) Mettler-Toledo AG, 2008 All Rights Reserved.                                                                              
//                                                                                                    
// $Date: 2015/07/24 01:34:56 $:
// $State: Exp $:
// $Revision: 1.100 $: 
//
//=============================================================================

#define __C300KK
#define  MT_DEVICE_NAME "M400 2-wire"

//macro for different hosts
#define _PDM2_SYSTEM_                 //Siemens system
#define _DTM_PDM1_            
//#define _DTM_only 
//#define _PRM_                 //Yokogawa system
// 
#define _ENABLE_1_2_POINT
#define _ENABLE_AO2

#ifdef _DTM_PDM1_
	#define __TOKVER__             800
    #define MT_DEVICE_TYPE         0x8e7c
	MANUFACTURER 0x8e, DEVICE_TYPE 0x8e7c, DEVICE_REVISION 2, DD_REVISION 2             //M400 2-wire
#else                                                                                       //M400 2-wire
	#if __TOKVER__ >= 800
    #define MT_DEVICE_TYPE      0x8E7C
	MANUFACTURER METTLER_TOLEDO, DEVICE_TYPE _C300KK_EXP, DEVICE_REVISION 2, DD_REVISION 2  
	#else
    #define MT_DEVICE_TYPE      0x007C
	MANUFACTURER METTLER_TOLEDO, DEVICE_TYPE _C300KK, DEVICE_REVISION 2, DD_REVISION 2
	#endif
#endif


#include "HA_MAIN.dd"
